zipios::FilterOutputStreambuf Class Reference

A FilterOutputStreambuf is a streambuf that filters the data that is written to it before it passes it on to the output streambuf it is connected to. More...

`#include <filteroutputstreambuf.h>`

Inheritance diagram for zipios::FilterOutputStreambuf:
[legend]

## Public Member Functions

| FilterOutputStreambuf (streambuf *outbuf, bool del_outbuf=false)
| Constructor.
virtual | ~FilterOutputStreambuf ()
| Destructor.

## Protected Attributes

streambuf * | _outbuf
bool | _del_outbuf

## Detailed Description

A FilterOutputStreambuf is a streambuf that filters the data that is written to it before it passes it on to the output streambuf it is connected to.

Definition at line 14 of file filteroutputstreambuf.h.

## Constructor & Destructor Documentation

## FilterOutputStreambuf()

zipios::FilterOutputStreambuf::FilterOutputStreambuf | ( | streambuf * | outbuf,
|  | bool | del_outbuf = false )

explicit

Constructor.

Parameters

  outbuf | the streambuf to pass the filtered data on to.
  del_outbuf | if true is specified outbuf will be deleted, when the FilterOutputStreambuf is destructed.

Definition at line 8 of file filteroutputstreambuf.cpp.

## ~FilterOutputStreambuf()

zipios::FilterOutputStreambuf::~FilterOutputStreambuf | ( |  | ) |

virtual

Destructor.

Definition at line 18 of file filteroutputstreambuf.cpp.

## Member Data Documentation

## _del_outbuf

bool zipios::FilterOutputStreambuf::_del_outbuf

protected

Definition at line 28 of file filteroutputstreambuf.h.

## _outbuf

streambuf* zipios::FilterOutputStreambuf::_outbuf

protected

Definition at line 27 of file filteroutputstreambuf.h.

The documentation for this class was generated from the following files:

- filteroutputstreambuf.h
- filteroutputstreambuf.cpp